#include <bits/stdc++.h>

using namespace std;
ifstream f1("bai3_16.INP");
    ofstream f2("bai3_16.OUT");
int a[1000000];



int main()
{ int n,i,kt=0;
f1>>n;
for (i=1;i<=n;i++)
{f1>>a[i];
}
sort(a+1,a+n+1);
for (i=1;i<=n;i++)
{if (a[i+1]-a[i]>1)
{kt=1;
f2<<a[i]+1; break;}
}
if (kt==0) f2<<a[n]+1;
}
